unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, GLScene, GLObjects, GLMisc, GLTexture, GLCadencer, GLWin32Viewer;

type
  TForm1 = class(TForm)
    GLScene1: TGLScene;
    GLSceneViewer1: TGLSceneViewer;
    GLCadencer1: TGLCadencer;
    GLMaterialLibrary1: TGLMaterialLibrary;
    GLCamera1: TGLCamera;
    GLSphere1: TGLSphere;
    GLSphere2: TGLSphere;
    GLLightSource1: TGLLightSource;
    procedure GLCadencer1Progress(Sender: TObject; const deltaTime,
      newTime: Double);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  Jpeg;

procedure TForm1.GLCadencer1Progress(Sender: TObject; const deltaTime,
  newTime: Double);
var
  C: Single;
begin
  C := Sin(newTime) * 0.5 + 0.5;
  with GLMaterialLibrary1.LibMaterialByName('Drvo') do
  begin
    Material.FrontProperties.Ambient.Red := C;
    Material.FrontProperties.Diffuse.Red := C;
    TextureScale.SetPoint(C, C, C);
  end;
end;

end.
